# ImageColumnHeader

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [ColumnHeader](/api/wisej.web/lists-and-grids/listview/wisej.web.columnheader.md)
      * [ImageColumnHeader](/api/wisej.web/lists-and-grids/listview/wisej.web.imagecolumnheader.md)

Displays an image column header in a [ListView](/api/wisej.web/lists-and-grids/listview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ImageColumnHeader : ColumnHeader
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ImageColumnHeader
    Inherits ColumnHeader
```

{% endtab %}
{% endtabs %}

The value of the items displayed under the [ImageColumnHeader](/api/wisej.web/lists-and-grids/listview/wisej.web.imagecolumnheader.md) are displayed as either an image name or an image URL.

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ImageColumnHeader()

Initializes a new instance of the [ImageColumnHeader](/api/wisej.web/lists-and-grids/listview/wisej.web.imagecolumnheader.md) class.

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IImage](/api/wisej.web/interfaces/wisej.web.iimage.md)                           | Provides access to common image properties across the controls that implement this interface.                   |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.imagecolumnheader.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
